User id
API Reference
/- Sends mail to user for password reset
Gets user details
POST new user
Sends mail to user for pa...
Aritma Banking API (v3)
Download OpenAPI description
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/banking/v3/openapi/bankservice-openapi
Open Banking API
https://bankservice.zdata.no
Open Banking API (Dev)
https://bankservicedemo.zdata.no
Security
client_credentials(Required scopes:
openid
profile
bankservice
) or implicit(Required scopes: openid
profile
bankservice
) or client_credentials_dev(Required scopes: openid
profile
bankservice
) or implicit_dev(Required scopes: openid
profile
bankservice
)- Mock serverhttps://developer.aritma.com/_mock/apis/banking/v3/openapi/bankservice-openapi/api/v3/users/{userId}
- Open Banking APIhttps://bankservice.zdata.no/api/v3/users/{userId}
- Open Banking API (Dev)https://bankservicedemo.zdata.no/api/v3/users/{userId}
- Payload
- cURL
- C#
- JavaScript
- Python
- Go
- PHP
- Java
- Java 8
No request payloadResponse
- text/plain
- application/json
- text/json
{
"Id": "123321123",
"CompanyId": "9739db9e-0991-48f9-ac65-d0e630332027",
"Username": "duck@duck.com",
"Email": "duck@duck.com",
"Name": "Duck corp",
"PhoneNumber": "52 52 52 52",
"ActiveUser": true
}Security
client_credentials(Required scopes:
openid
profile
bankservice
) or implicit(Required scopes: openid
profile
bankservice
) or client_credentials_dev(Required scopes: openid
profile
bankservice
) or implicit_dev(Required scopes: openid
profile
bankservice
)- application/json-patch+json
- application/json
- text/json
- application/*+json
Update model
Company id to associate with user
Example: "C32E6B5B-CA63-48D0-91AB-D5C6CB781737"
- Mock serverhttps://developer.aritma.com/_mock/apis/banking/v3/openapi/bankservice-openapi/api/v3/users
- Open Banking APIhttps://bankservice.zdata.no/api/v3/users
- Open Banking API (Dev)https://bankservicedemo.zdata.no/api/v3/users
- Payload
- cURL
- C#
- JavaScript
- Python
- Go
- PHP
- Java
- Java 8
- application/json-patch+json
- application/json
- text/json
- application/*+json
{ "companyId": "C32E6B5B-CA63-48D0-91AB-D5C6CB781737", "username": "user1@mycompany.com", "email": "user1@mycompany.com", "name": "Ola Nordmann", "phoneNumber": "90001337", "password": "sdf35asty4q3g5ehgg%¤" }
Response
- text/plain
- application/json
- text/json
No response exampleSecurity
client_credentials(Required scopes:
openid
profile
bankservice
) or implicit(Required scopes: openid
profile
bankservice
) or client_credentials_dev(Required scopes: openid
profile
bankservice
) or implicit_dev(Required scopes: openid
profile
bankservice
)- application/json-patch+json
- application/json
- text/json
- application/*+json
Model for password reset
- Mock serverhttps://developer.aritma.com/_mock/apis/banking/v3/openapi/bankservice-openapi/api/v3/users/resetpassword
- Open Banking APIhttps://bankservice.zdata.no/api/v3/users/resetpassword
- Open Banking API (Dev)https://bankservicedemo.zdata.no/api/v3/users/resetpassword
- Payload
- cURL
- C#
- JavaScript
- Python
- Go
- PHP
- Java
- Java 8
- application/json-patch+json
- application/json
- text/json
- application/*+json
{ "Username": "myusername" }